--MANUAL-POSITION-CONFIG----------------------------------------------------------------------
local RHBarXPosition = 0 							-- X coordinate for the the runic power bar
----------------------------------------------------------------------------------------------
RuneFrame:ClearAllPoints()
do
local classLocal, class = UnitClass("player")

	--Creating frames
	CreateFrame("Frame", "RuneHUD_OptionsFrame", UIParent );
	CreateFrame("Slider", "RuneHUD_OptionsFrame_Scale", RuneHUD_OptionsFrame, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_Scale", RuneHUD_OptionsFrame_Scale, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_YPos", RuneHUD_OptionsFrame_Scale, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_YPos", RuneHUD_OptionsFrame_YPos, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_CombatAlpha", RuneHUD_OptionsFrame_Scale, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_CombatAlpha", RuneHUD_OptionsFrame_CombatAlpha, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_NoCombatAlpha", RuneHUD_OptionsFrame_CombatAlpha, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_NoCombatAlpha", RuneHUD_OptionsFrame_NoCombatAlpha, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX1", RuneHUD_OptionsFrame_CombatAlpha, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX2", RuneHUD_OptionsFrame_EditBox_RHRuneX1, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX3", RuneHUD_OptionsFrame_EditBox_RHRuneX2, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX4", RuneHUD_OptionsFrame_EditBox_RHRuneX3, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX5", RuneHUD_OptionsFrame_EditBox_RHRuneX4, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneX6", RuneHUD_OptionsFrame_EditBox_RHRuneX5, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY1", RuneHUD_OptionsFrame_EditBox_RHRuneX1, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY2", RuneHUD_OptionsFrame_EditBox_RHRuneX2, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY3", RuneHUD_OptionsFrame_EditBox_RHRuneX3, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY4", RuneHUD_OptionsFrame_EditBox_RHRuneX4, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY5", RuneHUD_OptionsFrame_EditBox_RHRuneX5, "InputBoxTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_RHRuneY6", RuneHUD_OptionsFrame_EditBox_RHRuneX6, "InputBoxTemplate")
	CreateFrame("CheckButton", "RuneHUD_OptionsFrame_EnableBar", RuneHUD_OptionsFrame_EditBox_RHRuneY1, "UICheckButtonTemplate")
	CreateFrame("CheckButton", "RuneHUD_OptionsFrame_BarNoCombat", RuneHUD_OptionsFrame_EnableBar, "UICheckButtonTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarCombatAlpha", RuneHUD_OptionsFrame_EnableBar, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarCombatAlpha", RuneHUD_OptionsFrame_BarCombatAlpha, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarNoCombatAlpha", RuneHUD_OptionsFrame_BarCombatAlpha, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha", RuneHUD_OptionsFrame_BarNoCombatAlpha, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarHeight", RuneHUD_OptionsFrame_BarCombatAlpha, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarHeight", RuneHUD_OptionsFrame_BarHeight, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarWidth", RuneHUD_OptionsFrame_BarHeight, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarWidth", RuneHUD_OptionsFrame_BarWidth, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarYPosition", RuneHUD_OptionsFrame_BarHeight, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarYPosition", RuneHUD_OptionsFrame_BarYPosition, "InputBoxTemplate")
	CreateFrame("Slider", "RuneHUD_OptionsFrame_BarXPosition", RuneHUD_OptionsFrame_BarYPosition, "OptionsSliderTemplate")
	CreateFrame("EditBox", "RuneHUD_OptionsFrame_EditBox_BarXPosition", RuneHUD_OptionsFrame_BarXPosition, "InputBoxTemplate")
	CreateFrame("Button", "RuneHUD_OptionsFrame_ResetButton", RuneHUD_OptionsFrame, "UIPanelButtonTemplate")
	
		
	--Making the options frame
	RuneHUD_OptionsFrame:Hide()
	RuneHUD_OptionsFrame:SetWidth(300)
	RuneHUD_OptionsFrame:SetHeight(610)
	RuneHUD_OptionsFrame:SetFrameStrata("DIALOG")
	RuneHUD_OptionsFrame.name = "RuneHUD";
	InterfaceOptions_AddCategory(RuneHUD_OptionsFrame);

	--Title and explanation texts
	RuneHUD_OptionsFrame_Title = RuneHUD_OptionsFrame:CreateFontString("RHOptions", "ARTWORK", "GameFontNormalLarge")
	RuneHUD_OptionsFrame_Title:SetPoint("TOPLEFT", 12, -12)
	RuneHUD_OptionsFrame_Title:SetText("RuneHUD Options")
	
	RuneHUD_OptionsFrame_Runes = RuneHUD_OptionsFrame:CreateFontString("RHRuneFrameOptions", "ARTWORK", "GameFontWhite")
	RuneHUD_OptionsFrame_Runes:SetPoint("TOPLEFT", 15, -40)
	RuneHUD_OptionsFrame_Runes:SetText("Options for rune frame")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptions", "ARTWORK", "GameFontWhite")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 15, -180) 
	RuneHUD_OptionsFrame_Bar:SetText("Positions for individual runes")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsX", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 35, -218) 
	RuneHUD_OptionsFrame_Bar:SetText("X")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsY", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 35, -248) 
	RuneHUD_OptionsFrame_Bar:SetText("Y")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune1", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 57, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 1")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune2", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 147, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 2")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune3", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 237, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 3")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune4", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 327, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 4")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune5", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 417, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 5")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunesOptionsRune6", "ARTWORK", "GameFontWhiteSmall")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 507, -200) 
	RuneHUD_OptionsFrame_Bar:SetText("Rune 6")
	
	RuneHUD_OptionsFrame_Bar = RuneHUD_OptionsFrame:CreateFontString("RHRunebarOptions", "ARTWORK", "GameFontWhite")
	RuneHUD_OptionsFrame_Bar:SetPoint("TOPLEFT", 15, -290) 
	RuneHUD_OptionsFrame_Bar:SetText("Options for the runic power bar")
	
	--RUNE FRAME OPTIONS
	--Scaling
	RuneHUD_OptionsFrame_Scale:SetWidth(275)
	RuneHUD_OptionsFrame_Scale:SetHeight(16)
	RuneHUD_OptionsFrame_Scale:SetPoint("TOPLEFT", 12, -70)
	RuneHUD_OptionsFrame_ScaleLow:SetText("0.1")
	RuneHUD_OptionsFrame_ScaleHigh:SetText("2")
	RuneHUD_OptionsFrame_Scale:SetMinMaxValues(0.1,2)
	RuneHUD_OptionsFrame_Scale:SetValueStep(.1)
	RuneHUD_OptionsFrame_ScaleText:SetFormattedText("Scale", RuneHUD_OptionsFrame_Scale:GetValue())
	RuneHUD_OptionsFrame_Scale:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_Scale:SetNumber(value)
		RHScale = value
		if class == "DEATHKNIGHT" then
			RuneFrame:SetScale(RHScale)
		end
	end)
	
	RuneHUD_OptionsFrame_EditBox_Scale:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_Scale:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_Scale:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_Scale:SetMaxLetters(3)
	RuneHUD_OptionsFrame_EditBox_Scale:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_Scale:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_Scale:SetScript("OnEnterPressed", function(self)
		RHScale = RuneHUD_OptionsFrame_EditBox_Scale:GetNumber()
		RuneHUD_OptionsFrame_Scale:SetValue(RHScale)
		if class == "DEATHKNIGHT" then
			RuneFrame:SetScale(RHScale)
		end
		RuneHUD_OptionsFrame_EditBox_Scale:ClearFocus()
	end)
		RuneHUD_OptionsFrame_EditBox_Scale:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_Scale:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_Scale:SetNumber(RHScale)
	end)
	
	--Y pos
	RuneHUD_OptionsFrame_YPos:SetWidth(275)
	RuneHUD_OptionsFrame_YPos:SetHeight(16)
	RuneHUD_OptionsFrame_YPos:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_YPosLow:SetText("-500")
	RuneHUD_OptionsFrame_YPosHigh:SetText("500")
	RuneHUD_OptionsFrame_YPos:SetMinMaxValues(-500,500)
	RuneHUD_OptionsFrame_YPos:SetValueStep(1)
	RuneHUD_OptionsFrame_YPosText:SetFormattedText("Vertical position", RuneHUD_OptionsFrame_YPos:GetValue())
	RuneHUD_OptionsFrame_YPos:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_YPos:SetNumber(value)
		RHYPos = value
		if class == "DEATHKNIGHT" then
			RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
			RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
			RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
			RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
			RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
			RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)
		end
	end)
	
	RuneHUD_OptionsFrame_EditBox_YPos:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_YPos:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_YPos:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_YPos:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_YPos:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_YPos:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_YPos:SetScript("OnEnterPressed", function(self)
		RHYPos = RuneHUD_OptionsFrame_EditBox_YPos:GetNumber()
		RuneHUD_OptionsFrame_YPos:SetValue(RHYPos)
		if class == "DEATHKNIGHT" then
			RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
			RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
			RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
			RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
			RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
			RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)
		end
		RuneHUD_OptionsFrame_EditBox_YPos:ClearFocus()
	end)
		RuneHUD_OptionsFrame_EditBox_YPos:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_YPos:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_YPos:SetNumber(RHYPos)
	end)
		
	--In of combat alpha
	RuneHUD_OptionsFrame_CombatAlpha:SetWidth(275)
	RuneHUD_OptionsFrame_CombatAlpha:SetHeight(16)
	RuneHUD_OptionsFrame_CombatAlpha:SetPoint("TOPLEFT", 0, -60)
	RuneHUD_OptionsFrame_CombatAlphaLow:SetText("0")
	RuneHUD_OptionsFrame_CombatAlphaHigh:SetText("1")
	RuneHUD_OptionsFrame_CombatAlpha:SetMinMaxValues(0,1)
	RuneHUD_OptionsFrame_CombatAlpha:SetValueStep(.001)
	RuneHUD_OptionsFrame_CombatAlphaText:SetFormattedText("In combat alpha", RuneHUD_OptionsFrame_CombatAlpha:GetValue())
	RuneHUD_OptionsFrame_CombatAlpha:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetNumber(value)
		RHCombatAlpha = value
		if InCombatLockdown() == true and class == "DEATHKNIGHT" then
			RuneFrame:SetAlpha(RHCombatAlpha)
		end
	end)
	
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetScript("OnEnterPressed", function(self)
		RHCombatAlpha = RuneHUD_OptionsFrame_EditBox_CombatAlpha:GetNumber()
		RuneHUD_OptionsFrame_CombatAlpha:SetValue(RHCombatAlpha)
		if InCombatLockdown() == true and class == "DEATHKNIGHT" then 
			RuneFrame:SetAlpha(RHCombatAlpha)
		end
		RuneHUD_OptionsFrame_EditBox_CombatAlpha:ClearFocus()
	end)
		RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_CombatAlpha:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetNumber(RHCombatAlpha)
	end)

	--Out of combat alpha
	RuneHUD_OptionsFrame_NoCombatAlpha:SetWidth(275)
	RuneHUD_OptionsFrame_NoCombatAlpha:SetHeight(16)
	RuneHUD_OptionsFrame_NoCombatAlpha:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_NoCombatAlphaLow:SetText("0")
	RuneHUD_OptionsFrame_NoCombatAlphaHigh:SetText("1")
	RuneHUD_OptionsFrame_NoCombatAlpha:SetMinMaxValues(0,1)
	RuneHUD_OptionsFrame_NoCombatAlpha:SetValueStep(.001)
	RuneHUD_OptionsFrame_NoCombatAlphaText:SetFormattedText("Out of combat alpha", RuneHUD_OptionsFrame_NoCombatAlpha:GetValue())
	RuneHUD_OptionsFrame_NoCombatAlpha:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetNumber(value)
		RHNoCombatAlpha = value
		if InCombatLockdown() == false and class == "DEATHKNIGHT" then
			RuneFrame:SetAlpha(RHNoCombatAlpha)
		end
	end)

	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetScript("OnEnterPressed", function(self)
		RHNoCombatAlpha = RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:GetNumber()
		RuneHUD_OptionsFrame_NoCombatAlpha:SetValue(RHNoCombatAlpha)
		if InCombatLockdown() == false and class == "DEATHKNIGHT" then 
			RuneFrame:SetAlpha(RHNoCombatAlpha)
		end
		RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:ClearFocus()
	end)
		RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetNumber(RHNoCombatAlpha)
	end)
	
	--INDIVIDUAL RUNES Options
	--Rune 1 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetPoint("CENTER", -73, -85)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetScript("OnEnterPressed", function(self)
		RHRuneX1 = RuneHUD_OptionsFrame_EditBox_RHRuneX1:GetNumber()
		RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
		RuneHUD_OptionsFrame_EditBox_RHRuneX1:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX1:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetNumber(RHRuneX1)
	end)
	
	--Rune 1 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetScript("OnEnterPressed", function(self)
		RHRuneY1 = RuneHUD_OptionsFrame_EditBox_RHRuneY1:GetNumber()
		RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
		RuneHUD_OptionsFrame_EditBox_RHRuneY1:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY1:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetNumber(RHRuneY1)
	end)
	
	--Rune 2 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetPoint("CENTER", 90, 0)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetScript("OnEnterPressed", function(self)
		RHRuneX2 = RuneHUD_OptionsFrame_EditBox_RHRuneX2:GetNumber()
		RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
		RuneHUD_OptionsFrame_EditBox_RHRuneX2:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX2:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetNumber(RHRuneX2)
	end)
	
	--Rune 2 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetScript("OnEnterPressed", function(self)
		RHRuneY2 = RuneHUD_OptionsFrame_EditBox_RHRuneY2:GetNumber()
		RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
		RuneHUD_OptionsFrame_EditBox_RHRuneY2:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY2:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetNumber(RHRuneY2)
	end)
	
	--Rune 3 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetPoint("CENTER", 90, 0)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetScript("OnEnterPressed", function(self)
		RHRuneX3 = RuneHUD_OptionsFrame_EditBox_RHRuneX3:GetNumber()
		RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
		RuneHUD_OptionsFrame_EditBox_RHRuneX3:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX3:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetNumber(RHRuneX3)
	end)
	
	--Rune 3 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetScript("OnEnterPressed", function(self)
		RHRuneY3 = RuneHUD_OptionsFrame_EditBox_RHRuneY3:GetNumber()
		RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
		RuneHUD_OptionsFrame_EditBox_RHRuneY3:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY3:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetNumber(RHRuneY3)
	end)
	
	--Rune 4 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetPoint("CENTER", 90, 0)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetScript("OnEnterPressed", function(self)
		RHRuneX4 = RuneHUD_OptionsFrame_EditBox_RHRuneX4:GetNumber()
		RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
		RuneHUD_OptionsFrame_EditBox_RHRuneX4:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX4:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetNumber(RHRuneX4)
	end)
	
	--Rune 4 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetScript("OnEnterPressed", function(self)
		RHRuneY4 = RuneHUD_OptionsFrame_EditBox_RHRuneY4:GetNumber()
		RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
		RuneHUD_OptionsFrame_EditBox_RHRuneY4:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY4:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetNumber(RHRuneY4)
	end)
	
	--Rune 5 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetPoint("CENTER", 90, 0)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetScript("OnEnterPressed", function(self)
		RHRuneX5 = RuneHUD_OptionsFrame_EditBox_RHRuneX5:GetNumber()
		RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
		RuneHUD_OptionsFrame_EditBox_RHRuneX5:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX5:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetNumber(RHRuneX5)
	end)
	
	--Rune 5 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetScript("OnEnterPressed", function(self)
		RHRuneY5 = RuneHUD_OptionsFrame_EditBox_RHRuneY5:GetNumber()
		RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
		RuneHUD_OptionsFrame_EditBox_RHRuneY5:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY5:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetNumber(RHRuneY5)
	end)
	
	--Rune 6 X 
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetPoint("CENTER", 90, 0)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetScript("OnEnterPressed", function(self)
		RHRuneX6 = RuneHUD_OptionsFrame_EditBox_RHRuneX6:GetNumber()
		RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)
		RuneHUD_OptionsFrame_EditBox_RHRuneX6:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneX6:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetNumber(RHRuneX6)
	end)
	
	--Rune 6 Y
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetPoint("CENTER", 0, -30)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetWidth(50)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetScript("OnEnterPressed", function(self)
		RHRuneY6 = RuneHUD_OptionsFrame_EditBox_RHRuneY6:GetNumber()
		RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)
		RuneHUD_OptionsFrame_EditBox_RHRuneY6:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_RHRuneY6:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetNumber(RHRuneY6)
	end)
	
	--RUNIC POWER BAR OPTIONS
	--Bar on/off
	RuneHUD_OptionsFrame_EnableBar:SetPoint("TOPLEFT", -39, -70)
	RuneHUD_OptionsFrame_EnableBar:SetHitRectInsets(0, -190, 0, 0)
	RuneHUD_OptionsFrame_EnableBarText:SetText("|cffffffffRunic power bar enabled|r")
	RuneHUD_OptionsFrame_EnableBar:SetScript("OnClick", function(self)
		if RHBarEnable == true then
			RHBarEnable = false
			if class == "DEATHKNIGHT" then
				RuneHUDFrame:UnregisterEvent("UNIT_POWER_FREQUENT")
				RuneHUDBar:Hide()
			end
		else
			RHBarEnable = true
			if class == "DEATHKNIGHT" then
				RuneHUDFrame:RegisterUnitEvent("UNIT_POWER_FREQUENT","player")
				if InCombatLockdown() == true then
					RuneHUDBar:Show()
				elseif RHBarNoCombat == true then
					RuneHUDBar:Show()
				end
			end
		end
		self:SetChecked(RHBarEnable)
	end)


	--Bar out of combat
	RuneHUD_OptionsFrame_BarNoCombat:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_BarNoCombat:SetHitRectInsets(0, -190, 0, 0)
	RuneHUD_OptionsFrame_BarNoCombatText:SetText("|cffffffffRunic power bar enabled out of combat|r")
	RuneHUD_OptionsFrame_BarNoCombat:SetScript("OnClick", function(self)
		if RHBarNoCombat == true then
			RHBarNoCombat = false
			if InCombatLockdown() == false and class == "DEATHKNIGHT"then
				RuneHUDBar:Hide()
			end
		else
			RHBarNoCombat = true
			if class == "DEATHKNIGHT" then
				RuneHUDBar:Show()
			end
		end
		self:SetChecked(RHBarNoCombat)
	end)
		
	--Bar alpha in combat
	RuneHUD_OptionsFrame_BarCombatAlpha:SetWidth(275)
	RuneHUD_OptionsFrame_BarCombatAlpha:SetHeight(16)
	RuneHUD_OptionsFrame_BarCombatAlpha:SetPoint("TOPLEFT", 0, -50)
	RuneHUD_OptionsFrame_BarCombatAlphaLow:SetText("0")
	RuneHUD_OptionsFrame_BarCombatAlphaHigh:SetText("1")
	RuneHUD_OptionsFrame_BarCombatAlpha:SetMinMaxValues(0,1)
	RuneHUD_OptionsFrame_BarCombatAlpha:SetValueStep(.01)
	RuneHUD_OptionsFrame_BarCombatAlphaText:SetFormattedText("In combat alpha", RuneHUD_OptionsFrame_BarCombatAlpha:GetValue())
	RuneHUD_OptionsFrame_BarCombatAlpha:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetNumber(value)
		RHBarCombatAlpha = value
		if InCombatLockdown() == true and class == "DEATHKNIGHT" then
			RuneHUDBar:SetAlpha(RHBarCombatAlpha)
			RuneHUDBarDepleted:SetAlpha(RHBarCombatAlpha)
			RuneHUDBackground:SetAlpha(RHBarCombatAlpha)
		end
	end)

	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetScript("OnEnterPressed", function(self)
		RHBarCombatAlpha = RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:GetNumber()
		RuneHUD_OptionsFrame_BarCombatAlpha:SetValue(RHBarCombatAlpha)
		if InCombatLockdown() == true and class == "DEATHKNIGHT" then
			RuneHUDBar:SetAlpha(RHBarCombatAlpha)
			RuneHUDBarDepleted:SetAlpha(RHBarCombatAlpha)
			RuneHUDBackground:SetAlpha(RHBarCombatAlpha)
		end
		RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetNumber(RHBarCombatAlpha)
	end)
	
	--Bar alpha out of combat
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetWidth(275)
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetHeight(16)
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_BarNoCombatAlphaLow:SetText("0")
	RuneHUD_OptionsFrame_BarNoCombatAlphaHigh:SetText("1")
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetMinMaxValues(0,1)
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetValueStep(.01)
	RuneHUD_OptionsFrame_BarNoCombatAlphaText:SetFormattedText("Out of combat alpha", RuneHUD_OptionsFrame_BarNoCombatAlpha:GetValue())
	RuneHUD_OptionsFrame_BarNoCombatAlpha:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetNumber(value)
		RHBarNoCombatAlpha = value
		if InCombatLockdown() == false and RHBarNoCombat == true and class == "DEATHKNIGHT" then
			RuneHUDBar:SetAlpha(RHBarNoCombatAlpha)
			RuneHUDBarDepleted:SetAlpha(RHBarNoCombatAlpha)
			RuneHUDBackground:SetAlpha(RHBarNoCombatAlpha)
		end
	end)

	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetScript("OnEnterPressed", function(self)
		RHBarNoCombatAlpha = RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:GetNumber()
		RuneHUD_OptionsFrame_BarNoCombatAlpha:SetValue(RHBarNoCombatAlpha)
		if InCombatLockdown() == false and RHBarNoCombat == true and class == "DEATHKNIGHT" then
			RuneHUDBar:SetAlpha(RHBarNoCombatAlpha)
			RuneHUDBarDepleted:SetAlpha(RHBarNoCombatAlpha)
			RuneHUDBackground:SetAlpha(RHBarNoCombatAlpha)
		end
		RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetNumber(RHBarNoCombatAlpha)
	end)
	
	--Height
	RuneHUD_OptionsFrame_BarHeight:SetWidth(275)
	RuneHUD_OptionsFrame_BarHeight:SetHeight(16)
	RuneHUD_OptionsFrame_BarHeight:SetPoint("TOPLEFT", 0, -60)
	RuneHUD_OptionsFrame_BarHeightLow:SetText("0")
	RuneHUD_OptionsFrame_BarHeightHigh:SetText("50")
	RuneHUD_OptionsFrame_BarHeight:SetMinMaxValues(0,50)
	RuneHUD_OptionsFrame_BarHeight:SetValueStep(1)
	RuneHUD_OptionsFrame_BarHeightText:SetFormattedText("Height", RuneHUD_OptionsFrame_BarHeight:GetValue())
	RuneHUD_OptionsFrame_BarHeight:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarHeight:SetNumber(value)
		RHBarHeight = value
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetHeight(RHBarHeight)
			RuneHUDBackground:SetHeight(RHBarHeight + 2)
			local fontSize = RHBarHeight-RHBarHeight*0,1
			RunicPowerValue:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
		end
	end)
	
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetMaxLetters(2)
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarHeight:SetScript("OnEnterPressed", function(self)
		RHBarHeight = RuneHUD_OptionsFrame_EditBox_BarHeight:GetNumber()
		RuneHUD_OptionsFrame_BarHeight:SetValue(RHBarHeight)
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetHeight(RHBarHeight)
			RuneHUDBackground:SetHeight(RHBarHeight + 2)	
			local fontSize = RHBarHeight-RHBarHeight*0,1
			RunicPowerValue:SetFont("Fonts\\FRIZQT__.TTF", fontSize, "OUTLINE")
		end
	end)
	RuneHUD_OptionsFrame_EditBox_BarHeight:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarHeight:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarHeight:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarHeight:SetNumber(RHBarHeight)
	end)
	
	--Width
	RuneHUD_OptionsFrame_BarWidth:SetWidth(275)
	RuneHUD_OptionsFrame_BarWidth:SetHeight(16)
	RuneHUD_OptionsFrame_BarWidth:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_BarWidthLow:SetText("0")
	RuneHUD_OptionsFrame_BarWidthHigh:SetText("500")
	RuneHUD_OptionsFrame_BarWidth:SetMinMaxValues(0,500)
	RuneHUD_OptionsFrame_BarWidth:SetValueStep(1)
	RuneHUD_OptionsFrame_BarWidthText:SetFormattedText("Width", RuneHUD_OptionsFrame_BarWidth:GetValue())
	RuneHUD_OptionsFrame_BarWidth:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarWidth:SetNumber(value)
		RHBarWidth = value
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetWidth(RHBarWidth)
			RuneHUDBackground:SetWidth(RHBarWidth + 2)
		end
	end)
	
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetMaxLetters(3)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetScript("OnEnterPressed", function(self)
		RHBarWidth = RuneHUD_OptionsFrame_EditBox_BarWidth:GetNumber()
		RuneHUD_OptionsFrame_BarWidth:SetValue(RHBarWidth)
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetWidth(RHBarWidth)
			RuneHUDBackground:SetWidth(RHBarWidth + 2)
		end
		RuneHUD_OptionsFrame_EditBox_BarWidth:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_BarWidth:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarWidth:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarWidth:SetNumber(RHBarWidth)
	end)
	
	--Vertical position
	RuneHUD_OptionsFrame_BarYPosition:SetWidth(275)
	RuneHUD_OptionsFrame_BarYPosition:SetHeight(16)
	RuneHUD_OptionsFrame_BarYPosition:SetPoint("TOPLEFT", 0, -60)
	RuneHUD_OptionsFrame_BarYPositionLow:SetText("-500")
	RuneHUD_OptionsFrame_BarYPositionHigh:SetText("500")
	RuneHUD_OptionsFrame_BarYPosition:SetMinMaxValues(-500,500)
	RuneHUD_OptionsFrame_BarYPosition:SetValueStep(1)
	RuneHUD_OptionsFrame_BarYPositionText:SetFormattedText("Vertical position", RuneHUD_OptionsFrame_BarYPosition:GetValue())
	RuneHUD_OptionsFrame_BarYPosition:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarYPosition:SetNumber(value)
		RHBarYPosition = value
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetPoint("CENTER", UIParent, "CENTER", 0, RHBarYPosition)
		end
	end)

	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetMaxLetters(4)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetScript("OnEnterPressed", function(self)
		RHBarYPosition = RuneHUD_OptionsFrame_EditBox_BarYPosition:GetNumber()
		RuneHUD_OptionsFrame_BarYPosition:SetValue(RHBarYPosition)
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetPoint("CENTER", UIParent, "CENTER", 0, RHBarYPosition)
		end
		RuneHUD_OptionsFrame_EditBox_BarYPosition:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_BarYPosition:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarYPosition:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarYPosition:SetNumber(RHBarYPosition)
	end)
	
	--Horizontal position 
	RuneHUD_OptionsFrame_BarXPosition:SetWidth(275)
	RuneHUD_OptionsFrame_BarXPosition:SetHeight(16)
	RuneHUD_OptionsFrame_BarXPosition:SetPoint("TOPLEFT", 300, 0)
	RuneHUD_OptionsFrame_BarXPositionLow:SetText("-500")
	RuneHUD_OptionsFrame_BarXPositionHigh:SetText("500")
	RuneHUD_OptionsFrame_BarXPosition:SetMinMaxValues(-500,500)
	RuneHUD_OptionsFrame_BarXPosition:SetValueStep(1)
	RuneHUD_OptionsFrame_BarXPositionText:SetFormattedText("Horizontal position", RuneHUD_OptionsFrame_BarYPosition:GetValue())
	RuneHUD_OptionsFrame_BarXPosition:SetScript("OnValueChanged", function(self, value)
		RuneHUD_OptionsFrame_EditBox_BarXPosition:SetNumber(value)
		RHBarXPosition = value
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetPoint("CENTER", UIParent, "CENTER", RHBarXPosition, RHBarYPosition)
		end
	end)

	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetPoint("CENTER", 0, -17)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetWidth(75)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetHeight(20)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetMaxLetters(5)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetAutoFocus(false)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetJustifyH("CENTER")
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetScript("OnEnterPressed", function(self)
		RHBarXPosition = RuneHUD_OptionsFrame_EditBox_BarXPosition:GetNumber()
		RuneHUD_OptionsFrame_BarXPosition:SetValue(RHBarXPosition)
		if class == "DEATHKNIGHT" then
			RuneHUDBar:SetPoint("CENTER", UIParent, "CENTER", RHBarXPosition, RHBarYPosition)
		end
		RuneHUD_OptionsFrame_EditBox_BarXPosition:ClearFocus()
	end)
	RuneHUD_OptionsFrame_EditBox_BarXPosition:SetScript("OnEscapePressed", function(self)
		RuneHUD_OptionsFrame_EditBox_BarXPosition:ClearFocus()
		RuneHUD_OptionsFrame_EditBox_BarXPosition:SetNumber(RHBarYPosition)
	end)

	--Reset button
	RuneHUD_OptionsFrame_ResetButton:SetPoint("BOTTOMLEFT", 20, 10)
	RuneHUD_OptionsFrame_ResetButton:SetSize(140,25)
	RuneHUD_OptionsFrame_ResetButtonText:SetText("Reset")
	RuneHUD_OptionsFrame_ResetButton:SetScript("OnClick", function(self,button,down)
		StaticPopup_Show ("RUNEHUD_RESET_POPUP")
	end)
	
	--Setting values when opening options frame
	function RuneHUD_Options_OnShow()
		RuneHUD_OptionsFrame_Scale:SetValue(RHScale)
		RuneHUD_OptionsFrame_YPos:SetValue(RHYPos)
		RuneHUD_OptionsFrame_BarNoCombat:SetChecked(RHBarNoCombat)
		RuneHUD_OptionsFrame_EnableBar:SetChecked(RHBarEnable)
		RuneHUD_OptionsFrame_BarCombatAlpha:SetValue(RHBarCombatAlpha)
		RuneHUD_OptionsFrame_BarNoCombatAlpha:SetValue(RHBarNoCombatAlpha)
		RuneHUD_OptionsFrame_BarYPosition:SetValue(RHBarYPosition)
		RuneHUD_OptionsFrame_BarXPosition:SetValue(RHBarXPosition)
		RuneHUD_OptionsFrame_CombatAlpha:SetValue(RHCombatAlpha)
		RuneHUD_OptionsFrame_NoCombatAlpha:SetValue(RHNoCombatAlpha)
		RuneHUD_OptionsFrame_BarHeight:SetValue(RHBarHeight)
		RuneHUD_OptionsFrame_BarWidth:SetValue(RHBarWidth)
		RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetNumber(RHRuneX1)
		RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetNumber(RHRuneX2)
		RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetNumber(RHRuneX3)
		RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetNumber(RHRuneX4)
		RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetNumber(RHRuneX5)
		RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetNumber(RHRuneX6)
		RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetNumber(RHRuneY1)
		RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetNumber(RHRuneY2)
		RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetNumber(RHRuneY3)
		RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetNumber(RHRuneY4)
		RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetNumber(RHRuneY5)
		RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetNumber(RHRuneY6)		
	end

	RuneHUD_OptionsFrame:SetScript("OnShow", RuneHUD_Options_OnShow)
	
end

--Adding slash command
SLASH_RUNEHUD1, SLASH_RUNEHUD2 = '/runehud', '/rh';
local function handler(msg, editbox)
local command, rest = msg:match("^(%S*)%s*(.-)$")
	InterfaceOptionsFrame_OpenToCategory(RuneHUD_OptionsFrame);
end
SlashCmdList["RUNEHUD"] = handler;

--Reset check
StaticPopupDialogs["RUNEHUD_RESET_POPUP"] = {
		text = "Are you sure that you want to reset all settings?",
		button1 = "Yes",
		button2 = "No",
		OnAccept = function()
			RHScale = 1.2
			RHYPos = 0
			RHNoCombatAlpha = 0.1
			RHCombatAlpha = 1
			RHBarCombatAlpha = 1
			RHBarNoCombatAlpha = 1
			RHBarWidth = 250
			RHBarHeight = 15
			RHBarYPosition = -145
			RHBarXPosition = 0
			RHBarEnable = true
			RHBarNoCombat = false
			RHRuneX1 = -103
			RHRuneX2 = -72
			RHRuneX3 = -25
			RHRuneX4 = 25
			RHRuneX5 = 72
			RHRuneX6 = 103
			RHRuneY1 = 23
			RHRuneY2 = 61
			RHRuneY3 = 80
			RHRuneY4 = 80
			RHRuneY5 = 61
			RHRuneY6 = 23
			RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
			RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
			RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
			RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
			RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
			RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)
			
			if InCombatLockdown() == false then
				RuneHUDBar:Hide()
			end
			
			local fontSize = RHBarHeight-RHBarHeight*0,1
			RuneHUD_OptionsFrame_BarNoCombat:SetChecked(RHBarNoCombat)
			RuneHUD_OptionsFrame_EnableBar:SetChecked(RHBarEnable)
			RuneHUD_OptionsFrame_Scale:SetValue(RHScale)
			RuneHUD_OptionsFrame_EditBox_Scale:SetNumber(RHScale)
			RuneHUD_OptionsFrame_BarNoCombatAlpha:SetValue(RHBarNoCombatAlpha)
			RuneHUD_OptionsFrame_EditBox_BarNoCombatAlpha:SetNumber(RHBarNoCombatAlpha)
			RuneHUD_OptionsFrame_BarCombatAlpha:SetValue(RHBarCombatAlpha)
			RuneHUD_OptionsFrame_EditBox_BarCombatAlpha:SetNumber(RHBarCombatAlpha)
			RuneHUD_OptionsFrame_BarYPosition:SetValue(RHBarYPosition)
			RuneHUD_OptionsFrame_EditBox_BarYPosition:SetNumber(RHBarYPosition)
			RuneHUD_OptionsFrame_BarXPosition:SetValue(RHBarXPosition)
			RuneHUD_OptionsFrame_EditBox_BarXPosition:SetNumber(RHBarXPosition)
			RuneHUD_OptionsFrame_CombatAlpha:SetValue(RHCombatAlpha)
			RuneHUD_OptionsFrame_EditBox_CombatAlpha:SetNumber(RHCombatAlpha)
			RuneHUD_OptionsFrame_NoCombatAlpha:SetValue(RHNoCombatAlpha)
			RuneHUD_OptionsFrame_EditBox_NoCombatAlpha:SetNumber(RHNoCombatAlpha)
			RuneHUD_OptionsFrame_BarHeight:SetValue(RHBarHeight)
			RuneHUD_OptionsFrame_EditBox_BarHeight:SetNumber(RHBarHeight)
			if RHName == ("Flundrine" or "Flundran") and IsAddOnLoaded("SharedMedia") then
				RunicPowerValue:SetFont("Interface\\Addons\\SharedMedia_MyMedia\\font\\Roboto-Bold.ttf", 15, "OUTLINE")
			else
				RunicPowerValue:SetFont("Fonts\\ARIALN.ttf", fontSize, "OUTLINE")
			end
			RuneHUD_OptionsFrame_BarWidth:SetValue(RHBarWidth)
			RuneHUD_OptionsFrame_EditBox_BarWidth:SetNumber(RHBarWidth)
			RuneHUD_OptionsFrame_EditBox_RHRuneX1:SetNumber(RHRuneX1)
			RuneHUD_OptionsFrame_EditBox_RHRuneX2:SetNumber(RHRuneX2)
			RuneHUD_OptionsFrame_EditBox_RHRuneX3:SetNumber(RHRuneX3)
			RuneHUD_OptionsFrame_EditBox_RHRuneX4:SetNumber(RHRuneX4)
			RuneHUD_OptionsFrame_EditBox_RHRuneX5:SetNumber(RHRuneX5)
			RuneHUD_OptionsFrame_EditBox_RHRuneX6:SetNumber(RHRuneX6)
			RuneHUD_OptionsFrame_EditBox_RHRuneY1:SetNumber(RHRuneY1)
			RuneHUD_OptionsFrame_EditBox_RHRuneY2:SetNumber(RHRuneY2)
			RuneHUD_OptionsFrame_EditBox_RHRuneY3:SetNumber(RHRuneY3)
			RuneHUD_OptionsFrame_EditBox_RHRuneY4:SetNumber(RHRuneY4)
			RuneHUD_OptionsFrame_EditBox_RHRuneY5:SetNumber(RHRuneY5)
			RuneHUD_OptionsFrame_EditBox_RHRuneY6:SetNumber(RHRuneY6)	
		end,
		timeout = 0,
		whileDead = true,
		hideOnEscape = true,
		preferredIndex = 3,
}

local function RuneHUD_OnEvent(self, event, ...)
local classLocal, class = UnitClass("player")
	if class == "DEATHKNIGHT" then
		if event == "UNIT_POWER_FREQUENT" then
			if RHBarEnable == true then
				RuneHUDBar:SetValue(UnitPower("player"))
				RunicPowerValue:SetText(UnitPower("player"))
			else
				RuneHUDFrame:UnregisterEvent("UNIT_POWER_FREQUENT")
			end
		elseif event == "PLAYER_REGEN_ENABLED" and UnitInVehicleControlSeat("player") == false and UnitHasVehicleUI("player") == false then
			if RHBarEnable == true and 	RHBarNoCombat == true then
				RuneHUDBar:SetFrameStrata("LOW")
				RuneHUDBar:SetAlpha(RHBarNoCombatAlpha)
				RuneHUDBarDepleted:SetAlpha(RHBarNoCombatAlpha)
				RuneHUDBackground:SetAlpha(RHBarNoCombatAlpha)
			elseif RHBarNoCombat == false then
				RuneHUDBar:Hide()
			end
			RuneFrame:SetAlpha(RHNoCombatAlpha)
			RuneFrame:SetFrameStrata("LOW")
		elseif event == "PLAYER_REGEN_DISABLED" and UnitInVehicleControlSeat("player") == false and UnitHasVehicleUI("player") == false then
			if RHBarEnable == true then
				RuneHUDBar:Show()
				RuneHUDBar:SetAlpha(RHBarCombatAlpha)
				RuneHUDBarDepleted:SetAlpha(RHBarCombatAlpha)
				RuneHUDBackground:SetAlpha(RHBarCombatAlpha)
				RuneHUDBar:SetFrameStrata("MEDIUM")
			end
			RuneFrame:SetAlpha(RHCombatAlpha)
			RuneFrame:SetFrameStrata("MEDIUM")	
		elseif event == "UNIT_ENTERED_VEHICLE" and UnitInVehicleControlSeat("player") == true and  UnitHasVehicleUI("player") == true then
			RuneFrame:Hide()
			RuneHUDBar:Hide()
		elseif event == ("UNIT_EXITED_VEHICLE" or "PET_BATTLE_CLOSE") then
			RuneFrame:Show()
			if InCombatLockdown() == true then
				RuneFrame:SetAlpha(RHCombatAlpha)
				if RHBarEnable == true then
					RuneHUDBar:Show()
					RuneHUDBar:SetAlpha(RHBarCombatAlpha)
					RuneHUDBarDepleted:SetAlpha(RHBarCombatAlpha)
					RuneHUDBackground:SetAlpha(RHBarCombatAlpha)
				else
					RuneHUDBar:Hide()
				end
			else
				RuneFrame:SetAlpha(RHNoCombatAlpha)
				if RHBarEnable == true and RHBarNoCombat == true then
					RuneHUDBar:Show()
					RuneHUDBar:SetAlpha(RHBarNoCombatAlpha)
					RuneHUDBarDepleted:SetAlpha(RHBarNoCombatAlpha)
					RuneHUDBackground:SetAlpha(RHBarNoCombatAlpha)
				else
					RuneHUDBar:Hide()
				end
			end	
		elseif event == "PLAYER_ENTERING_WORLD" then
			if UnitInVehicleControlSeat("player") == false and UnitHasVehicleUI("player") == false then
				if InCombatLockdown() == false then
					if RHBarEnable == true and RHBarNoCombat == false then
						RuneHUDBar:Hide()
					elseif RHBarEnable == true and RHBarNoCombat == true then
						RuneHUDBar:Show()
						RuneHUDBar:SetAlpha(RHBarNoCombatAlpha)
						RuneHUDBarDepleted:SetAlpha(RHBarNoCombatAlpha)
						RuneHUDBackground:SetAlpha(RHBarNoCombatAlpha)
						RuneHUDBar:SetFrameStrata("LOW")
						if RHName == ("Flundrine" or "Flundran") and IsAddOnLoaded("SharedMedia") then
							RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\SharedMedia\\statusbar\\Flat")
						else
							RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\RuneHUD\\StatusBar")
						end
					else
						RuneHUDBar:Hide()
					end
					RuneFrame:SetAlpha(RHNoCombatAlpha)	
					RuneFrame:SetFrameStrata("LOW")	
				else
					if RHBarEnable == true then
						RuneHUDBar:Show()
						RuneHUDBar:SetFrameStrata("MEDIUM")
						RuneHUDBar:SetAlpha(RHBarCombatAlpha)
						RuneHUDBarDepleted:SetAlpha(RHBarCombatAlpha)
						RuneHUDBackground:SetAlpha(RHBarCombatAlpha)
						if RHName == ("Flundrine" or "Flundran") and IsAddOnLoaded("SharedMedia") then
							RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\SharedMedia\\statusbar\\Flat")
						else
							RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\RuneHUD\\StatusBar")
						end
					else
						RuneHUDBar:Hide()
					end
					RuneFrame:SetAlpha(RHCombatAlpha)
					RuneFrame:SetFrameStrata("MEDIUM")
				end
			else
				RuneFrame:Hide()
			end
		elseif event == "ADDON_LOADED" then
			if type(RHScale) ~= "number" then
				RHScale = 1.2
			end
			if type(RHYPos) ~= "number" then
				RHYPos = 0
			end
			if type(RHCombatAlpha) ~= "number" then
				RHCombatAlpha = 1
			end
			if type(RHNoCombatAlpha) ~= "number" then
				RHNoCombatAlpha = 0.1
			end
			if type(RHBarEnable) ~= "boolean" then
				RHBarEnable = true
			end
			if type(RHBarNoCombat) ~= "boolean" then
				RHBarNoCombat = false
			end
			if type(RHBarCombatAlpha) ~= "number" then
				RHBarCombatAlpha = 1
			end
			if type(RHBarNoCombatAlpha) ~= "number" then
				RHBarNoCombatAlpha = 1
			end
			if type(RHBarHeight) ~= "number" then
				RHBarHeight = 15
			end
			if type(RHBarWidth) ~= "number" then
				RHBarWidth = 250
			end
			if type(RHBarYPosition) ~= "number" then
				RHBarYPosition = -145
				RHBarXPosition = 0
			end
			if type(RHName) ~= "string" then
				RHName = UnitName("player")
			end	
			if (RHReset == 1 or type(RHRuneX1) ~= "number") then
				RHRuneX1 = -103
				RHRuneX2 = -72
				RHRuneX3 = -25
				RHRuneX4 = 25
				RHRuneX5 = 72
				RHRuneX6 = 103
				RHRuneY1 = 23
				RHRuneY2 = 61
				RHRuneY3 = 80
				RHRuneY4 = 80
				RHRuneY5 = 61
				RHRuneY6 = 23
			end				
			
			RuneFrame.Rune1:ClearAllPoints()
			RuneFrame.Rune2:ClearAllPoints()
			RuneFrame.Rune3:ClearAllPoints()
			RuneFrame.Rune4:ClearAllPoints()
			RuneFrame.Rune5:ClearAllPoints()
			RuneFrame.Rune6:ClearAllPoints()

			RuneFrame.Rune1:SetPoint("CENTER", UIParent, "CENTER", RHRuneX1, RHYPos + RHRuneY1)
			RuneFrame.Rune2:SetPoint("CENTER", UIParent, "CENTER", RHRuneX2, RHYPos + RHRuneY2)
			RuneFrame.Rune3:SetPoint("CENTER", UIParent, "CENTER", RHRuneX3, RHYPos + RHRuneY3)
			RuneFrame.Rune4:SetPoint("CENTER", UIParent, "CENTER", RHRuneX4, RHYPos + RHRuneY4)
			RuneFrame.Rune5:SetPoint("CENTER", UIParent, "CENTER", RHRuneX5, RHYPos + RHRuneY5)
			RuneFrame.Rune6:SetPoint("CENTER", UIParent, "CENTER", RHRuneX6, RHYPos + RHRuneY6)

			RuneFrame.Rune1:EnableMouse(false)
			RuneFrame.Rune2:EnableMouse(false)
			RuneFrame.Rune3:EnableMouse(false)
			RuneFrame.Rune4:EnableMouse(false)
			RuneFrame.Rune5:EnableMouse(false)
			RuneFrame.Rune6:EnableMouse(false)
			
			RuneFrame:SetScale(RHScale)
	
			CreateFrame("StatusBar", "RuneHUDBar", UIParent)
			RuneHUDBar:CreateFontString("RunicPowerValue", "OVERLAY")
			RuneHUDBar:CreateTexture("RuneHUDBarDepleted", "BORDER")
			RuneHUDBar:CreateTexture("RuneHUDBackground", "BACKGROUND")
			RuneHUDBar:SetPoint("CENTER", UIParent, "CENTER", RHBarXPosition, RHBarYPosition)
			RuneHUDBar:SetWidth(RHBarWidth)
			RuneHUDBar:SetHeight(RHBarHeight)
			if RHName == ("Flundrine" or "Flundran") and IsAddOnLoaded("SharedMedia") then
				RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\SharedMedia\\statusbar\\Flat")
			else
				RuneHUDBar:SetStatusBarTexture("Interface\\AddOns\\RuneHUD\\StatusBar")
			end
			RuneHUDBar:GetStatusBarTexture():SetHorizTile(false)
			RuneHUDBar:GetStatusBarTexture():SetVertTile(false)
			RuneHUDBar:SetStatusBarColor(0, 0.8, 1)
			RuneHUDBar:SetMinMaxValues(0, UnitPowerMax("player", SPELL_POWER_RUNIC_POWER)) 
			RuneHUDBar:SetValue(UnitPower("player"))

			RuneHUDBarDepleted:SetTexture("Interface\\AddOns\\RuneHUD\\Background")
			RuneHUDBarDepleted:SetAllPoints(true)
			RuneHUDBarDepleted:SetVertexColor(0.2, 0.2, 0.2)
	
			RuneHUDBackground:SetPoint("CENTER", RuneHUDBar, "CENTER", 0, 0)
			RuneHUDBackground:SetWidth(RHBarWidth + 2)
			RuneHUDBackground:SetHeight(RHBarHeight + 2)
			RuneHUDBackground:SetTexture("Interface\\AddOns\\RuneHUD\\Background")
			RuneHUDBackground:SetVertexColor(0, 0, 0)
			
			RunicPowerValue:SetPoint("CENTER", RuneHUDBar, "CENTER", 0, 0)
			local fontSize = RHBarHeight-RHBarHeight*0,1
			if RHName == ("Flundrine" or "Flundran") and IsAddOnLoaded("SharedMedia") then
				RunicPowerValue:SetFont("Interface\\Addons\\SharedMedia_MyMedia\\font\\Roboto-Bold.ttf", 15, "OUTLINE")
			else
				RunicPowerValue:SetFont("Fonts\\ARIALN.ttf", fontSize, "OUTLINE")
			end
			RunicPowerValue:SetJustifyH("CENTER")
			RunicPowerValue:SetJustifyV("MIDDLE")
			RunicPowerValue:SetTextColor(1, 1, 1)
			RunicPowerValue:SetText(UnitPower("player"))
		elseif event == "UNIT_MAXPOWER" then
			RuneHUDBar:SetMinMaxValues(0, UnitPowerMax("player", SPELL_POWER_RUNIC_POWER))
		end
	else
		RuneHUDFrame:UnregisterEvent("PLAYER_REGEN_DISABLED")
		RuneHUDFrame:UnregisterEvent("PLAYER_REGEN_ENABLED")
		RuneHUDFrame:UnregisterEvent("PLAYER_ENTERING_WORLD")
		RuneHUDFrame:UnregisterEvent("ADDON_LOADED")
		RuneHUDFrame:UnregisterEvent("UNIT_MAXPOWER")
		RuneHUDFrame:UnregisterEvent("UNIT_EXITED_VEHICLE")
		RuneHUDFrame:UnregisterEvent("UNIT_ENTERED_VEHICLE")
		RuneHUDFrame:UnregisterEvent("UNIT_POWER_FREQUENT")
		RuneHUDFrame:UnregisterEvent("PET_BATTLE_CLOSE")
	end
end

local f = CreateFrame("Frame","RuneHUDFrame",UIParent)
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("ADDON_LOADED")
f:RegisterEvent("UNIT_MAXPOWER")
f:RegisterUnitEvent("UNIT_EXITED_VEHICLE","player")
f:RegisterUnitEvent("UNIT_ENTERED_VEHICLE","player")
f:RegisterUnitEvent("PET_BATTLE_CLOSE")
f:RegisterUnitEvent("UNIT_POWER_FREQUENT","player")
f:SetScript("OnEvent", RuneHUD_OnEvent)
RuneHUDFrame.unit = "player"
RuneFrame:SetParent(_G["RuneHUDFrame"])